#!/bin/sh

CUSTOMIZATION="digitalwatchdog"
DISTRIB="dwspectrum-server-6.0.0.38488-edge1-beta"

INSTALL_DIR="/usr/local/apps/$CUSTOMIZATION"
STARTUP_SCRIPT="/etc/init.d/S99$CUSTOMIZATION-mediaserver"
TAR_FILE="./$DISTRIB.tar.gz"

upgradeVms()
{
    "$STARTUP_SCRIPT" stop
    rm -rf "$INSTALL_DIR/mediaserver/lib"
    rm -f "$INSTALL_DIR/mediaserver/bin/plugins"/libcpro*
    tar xfv "$TAR_FILE" -C /

    mkdir -p "${INSTALL_DIR}/mediaserver/etc"

    "${INSTALL_DIR}/mediaserver/bin/upgrade_config.sh" \
        "${INSTALL_DIR}/mediaserver/etc/mediaserver.conf" \
        "${INSTALL_DIR}/mediaserver/share/configs/mediaserver.conf" \
        "${INSTALL_DIR}/mediaserver/etc/mediaserver_conf_added_keys.txt" \
        "${INSTALL_DIR}/mediaserver/bin/config_helper.sh"

    "$STARTUP_SCRIPT" start
}

main()
{
    if [ "$1" != "" ]; then
        upgradeVms >>"$1" 2>&1
    else
        upgradeVms 2>&1
    fi
}

main "$@"
